Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000613Core InformPhrases and functional programmingpublic2011-03-14 19:482014-05-07 07:33
Reportercapmikee 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000613: Property name conflicts with table column name
DescriptionWhen an object has a property name that matches a table column name, attempts to sort the table on that column result in a compiler error.
Minimal Source Text To Reproduce
A test is a kind of thing. A test has a number called the index.

Table of Executions
Index
a number
with 100 blank rows

When play begins: sort the Table of Executions in index order.

There is a room.
Additional InformationChanging the name of the test property or the name of the table column allows the example to compile and run without errors.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships
child of 0000898closedgraham Umbrella issue: Inform allows duplicate names, but will only try one meaning when parsing the source text. 

-  Notes
(0001091)
EmacsUser (manager)
2011-03-15 15:44

Confirmed. The problem message follows:

- - - -
Problem. You wrote 'sort the Table of Executions in index order' , which I tried to match against several possible phrase definitions. None of them worked.
I was trying to match one of these phrases:

1. sort (table of executions - table name) in (index - table column) order
2. sort (table of executions - list of objects) in (index - property) order
3. sort (table of executions in index order - list of values)
This was what I found out:

Table of Executions = a table name
index = a numbers valued property
Table of Executions in index order = something unrecognised
- - - -
(0002384)
graham (administrator)
2014-01-26 09:15

This now resolves correctly.

- Issue History
Date Modified Username Field Change
2011-03-14 19:48 capmikee New Issue
2011-03-15 15:44 EmacsUser Note Added: 0001091
2011-03-15 15:44 EmacsUser Status new => confirmed
2011-07-02 18:08 EmacsUser Relationship added related to 0000686
2012-03-30 22:16 EmacsUser Relationship deleted related to 0000686
2012-03-31 20:02 jmcgrew Relationship added child of 0000898
2014-01-26 09:15 graham Note Added: 0002384
2014-01-26 09:15 graham Status confirmed => resolved
2014-01-26 09:15 graham Resolution open => fixed
2014-01-26 09:15 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker